OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::dsp::Phase< Type > Struct Template Reference

`#include <juce_Phase.h>`

## Public Member Functions
void | reset () noexcept
Type | advance (Type increment) noexcept

## Public Attributes
Type | phase = 0

## Detailed Description

template<typename Type>
struct juce::dsp::Phase< Type >

Represents an increasing phase value between 0 and 2*pi.

This represents a value which can be incremented, and which wraps back to 0 when it goes past 2 * pi.

Definition at line 41 of file juce_Phase.h.

## Member Function Documentation

## ◆ advance()

template<typename Type >

Type juce::dsp::Phase< Type >::advance | ( | Type | increment | ) |
| inline noexcept

Returns the current value, and increments the phase by the given increment. The increment must be a positive value, it can't go backwards! The new value of the phase after calling this function will be (phase + increment) % (2 * pi).

Definition at line 50 of file juce_Phase.h.

Referenced by juce::dsp::Oscillator< SampleType >::process(), and juce::dsp::Oscillator< SampleType >::processSample().

## ◆ reset()

template<typename Type >

void juce::dsp::Phase< Type >::reset | ( |  | ) |
| inline noexcept

Resets the phase to 0.

Definition at line 44 of file juce_Phase.h.

Referenced by juce::dsp::Oscillator< SampleType >::reset().

## Member Data Documentation

## ◆ phase

template<typename Type >

Type juce::dsp::Phase< Type >::phase = 0

Definition at line 64 of file juce_Phase.h.

The documentation for this struct was generated from the following file:

- juce_Phase.h